%define DATE 080225
%define pfmon_release 4
Summary: A performance monitoring tool for Linux/ia64
Name: pfmon
Version: 3.3
Release: 0.%{DATE}.%{pfmon_release}%{?dist}
License: GPL
Group: Development/Tools
BuildRoot: %{_tmppath}/%{name}-root
ExclusiveArch: ia64 %{ix86} x86_64
ExclusiveOS: linux
AutoReqProv: no
Source: http://prdownloads.sourceforge.net/perfmon2/%{name}-%{version}.tar.gz
URL: http://sourceforge.net/projects/perfmon2/

Patch3: pfmon-rpm_opt.patch
#Patch4: pfmon-fortify.patch
Patch5: pfmon-ia64-checks1.patch
Patch6: pfmon-ia64-checks2.patch

Requires: libpfm
BuildRequires: elfutils-libelf-devel-static
BuildRequires: binutils-devel
BuildRequires: libpfm >= 3.3-0.080225
BuildRequires: libpfm-devel >= 3.3-0.080225

%description
This package contains pfmon 3.x, a tool to monitor performance using
the Performance Monitor Unit (PMU). Pfmon can monitor
standalone programs or the entire system on both UP and SMP Linux systems.
This version
of pfmon requires a kernel perfmon-2.x (found in 2.6 kernels) subsystem to 
function properly.

%prep
%setup -q -n %{name}-%{version}
%patch3 -p1 -b .rpm_opt
#%patch4 -p1 -b .fortify
%patch5 -p0 -b .checks1
%patch6 -p0 -b .checks2

%build
make	PREFIX=/usr DESTDIR=%{buildroot} \
	PFMROOTDIR=/usr PFMLIBDIR=%{_libdir}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr
make install  PREFIX=/usr DESTDIR=%{buildroot} \
	PFMROOTDIR=/usr PFMLIBDIR=%{_libdir}


( cd %{buildroot}/usr/bin; rm pfmon_gen; ln -s pfmon pfmon_gen )

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%doc /usr/share/man/man1/*
%attr(755,root,root) /usr/bin/pfmon
%attr(755,root,root) /usr/bin/pfdbg
%attr(755,root,root) /usr/bin/pfmon_gen

%changelog
* Mon Apr 07 2008 Will Cohen <wcohen@redhat.com> - 3.3-0.080225.4
- Additional patch to fix for ia64 fedora. rhbz #435048

* Fri Apr 04 2008 Will Cohen <wcohen@redhat.com> - 3.3-0.080225.3
- Include patch to fix for ia64 fedora. rhbz #435048

* Fri Apr 04 2008 Will Cohen <wcohen@redhat.com> - 3.3-0.080225.2
- Fix for ia64 fedora. rhbz #435048

* Mon Feb 25 2008 Will Cohen <wcohen@redhat.com> - 3.3-0.080225.1
- Update to pfmon-3.3.

* Wed Feb 20 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 3.2-1.071017.3
- Autorebuild for GCC 4.3

* Fri Oct 26 2007 Will Cohen <wcohen@redhat.com> - 3.2-0.071017.3
- Correct BuildRequires, should be elfutils-libelf-devel-static.

* Fri Oct 26 2007 Will Cohen <wcohen@redhat.com> - 3.2-0.071017.2
- Correct BuildRequires.

* Wed Oct 24 2007 Will Cohen <wcohen@redhat.com> - 3.2-0.071017.1
- Update to pfmon-3.2-071017.

* Tue Aug 21 2007 Will Cohen <wcohen@redhat.com> - 3.2-0.061205.3
- rebuild

* Mon May 21 2007 Will Cohen <wcohen@redhat.com> - 3.2-0.061205.2
- Fix up rpmlint complaints.

* Mon Dec 4 2006 Will Cohen <wcohen@redhat.com> - 3.2-0.061205.1
- Update to pfmon-3.2-061205.

* Fri Nov 3 2006 Will Cohen <wcohen@redhat.com> - 3.2-0.060926.3
- Add dist tag to build.

* Sun Oct 1 2006 Will Cohen <wcohen@redhat.com> - 3.2-0.060926.1
- Update to pfmon-3.2-060926.

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 3.2-0.060621.7.1
- rebuild

* Tue Jun 27 2006 Will Cohen <wcohen@redhat.com>
- Separate build and install processes.
- Make sure that $(RPM_OPT_FLAGS) is used.
- Patches to store return values.
- Clean up desciption.

* Mon Jun 26 2006 Will Cohen <wcohen@redhat.com>
- Correct buildprereq.

* Mon Jun 26 2006 Will Cohen <wcohen@redhat.com>
- Update to pfmon-3.2-060621.

* Wed Jun 14 2006 Will Cohen <wcohen@redhat.com>
- Correct BuildPreReq.

* Wed Jun 14 2006 Will Cohen <wcohen@redhat.com>
- Update to pfmon-3.2-060522.

* Fri May 05 2006 Will Cohen <wcohen@redhat.com>
- Do not use the unwind libraries.

* Thu May 04 2006 Will Cohen <wcohen@redhat.com>
- Update to pfmon-3.2-060426.

* Thu Feb 09 2006 Florian La Roche <laroche@redhat.com>
- remove empty scripts

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 3.0-6.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Tue Mar 15 2005 Will Cohen <wcohen@redhat.com>
- Correct passing RPM_OPT_FLAGS.
- Correct field to match /usr/include/bits/siginfo.h.

* Mon Mar 14 2005 Will Cohen <wcohen@redhat.com>
- Bump rebuild with gcc4.

* Mon Sep 27 2004 Will Cohen <wcohen@redhat.com>
- Correct spec file for build system.

* Fri Sep 24 2004 Will Cohen <wcohen@redhat.com>
- Correct BuildPreReq

* Tue Dec 2 2003 Stephane Eranian <eranian@hpl.hp.com>
- release 3.0
